Bug 139825 - VIA 6306 Firewire/IEEE1394 controller needs workaround in ohci1394.c
VIA 6306 Firewire/IEEE1394 controller needs workaround in ohci1394.c
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://marc.theaimsgroup.com/?l=linux...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 05:16 EST by Alex Butcher
Modified: 2015-01-04 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vt6306 patch ready for 2.6.9-1.681_FC3 kernel (940 bytes, patch)
2004-11-28 14:50 EST, Alex Butcher
no flags Details | Diff

  None (edit)
Description Alex Butcher 2004-11-18 05:16:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Rev. 46 and below of the VIA 6306 Firewire/IEEE1394 controller
incorrectly reports its maximum packet size as 2, causing the kernel
to fall back to 512 as a default. It should use 2048 for best
performance. These controllers are very common and cheap enough to be
widely used.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.678_FC3

How reproducible:
Always

Steps to Reproduce:
1. Check kernel source
2. Observe missing VT6306 workaround
3. *sigh*
    

Actual Results:  After pulling myself together, I resigned myself to
having to rebuild the ohci1394 module locally.

Expected Results:  The ohci1394 module detected I had a flawed
controller, and worked around it.

Additional info:
Comment 1 Alex Butcher 2004-11-28 14:50:41 EST
Created attachment 107516 [details]
vt6306 patch ready for 2.6.9-1.681_FC3 kernel
Comment 2 Dave Jones 2005-07-15 15:21:38 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Alex Butcher 2005-07-16 03:11:08 EDT
This patch still isn't in 2.6.12-1.1372_FC3:

Jul 12 07:40:22 xxx kernel: ohci1394: $Rev: 1223 $ Ben Collins <bcollins@debian.org>
Jul 12 07:40:22 xxx kernel: ieee1394: warning: Invalid max packet size of 2,
setting to 512
Jul 12 07:40:22 xxx kernel: ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[11] 
MMIO=[e3004000-e30047ff]  Max Packet=[512]
Comment 4 Warren Togami 2005-07-24 23:08:39 EDT
Can you please talk to upstream about including this patch?  If a patch wasn't
included in upstream kernels from 2.6.9 through 2.6.12, maybe there is a good
reason.
Comment 5 Dave Jones 2005-10-02 20:00:41 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.